<template>
  <div class="container extended mt-5 pb-5">
    <Authorized :roles="['ROLE_TRANSLATOR', 'ROLE_EDITOR_NEWS', 'ROLE_SYSOP']">
      <b-card no-body bg-variant="dark">
        <nuxt-link :to="localePath('admin-news')">
          <b-card-body
            class="d-flex justify-content-center align-items-center font-xx-large"
          >
            News
          </b-card-body>
        </nuxt-link>
      </b-card>
    </Authorized>

    <Authorized :roles="['ROLE_TRANSLATOR', 'ROLE_EDITOR_EVENT', 'ROLE_SYSOP']">
      <b-card no-body bg-variant="dark" class="mt-4">
        <nuxt-link :to="localePath('admin-events')">
          <b-card-body
            class="d-flex justify-content-center align-items-center font-xx-large"
          >
            Events
          </b-card-body>
        </nuxt-link>
      </b-card>
    </Authorized>

    <Authorized :roles="['ROLE_EDITOR_WIKI', 'ROLE_SYSOP']">
      <b-card no-body bg-variant="dark" class="mt-4">
        <nuxt-link :to="localePath('admin-wiki')">
          <b-card-body
            class="d-flex justify-content-center align-items-center font-xx-large"
          >
            Wiki
          </b-card-body>
        </nuxt-link>
      </b-card>
    </Authorized>

    <Authorized :roles="['ROLE_TRANSLATOR', 'ROLE_SYSOP']">
      <b-card no-body bg-variant="dark" class="mt-4">
        <nuxt-link :to="localePath('admin-translation')">
          <b-card-body
            class="d-flex justify-content-center align-items-center font-xx-large"
          >
            Translation
          </b-card-body>
        </nuxt-link>
      </b-card>
    </Authorized>
  </div>
</template>

<script>
import { mapGetters } from 'vuex';
import Authorized from '~/components/security/Authorized';

export default {
  layout: 'admin',
  roles: ['ROLE_ADMIN'],
  components: {
    Authorized,
  },
  computed: {
    ...mapGetters(['hasRole']),
  },
};
</script>
